Package gem-jquery-turbolinks: Information

Source package: gem-jquery-turbolinks
Version: 2.1.0-alt1.1
Build time:  Jul 1, 2020, 03:34 AM
Category: Development/Ruby
Report package bug
License: MIT
Summary: jQuery plugin for drop-in fix binded events problem caused by Turbolinks
Description: 
This gem does not work with Turbolinks 5+, and is not compatible with many
jQuery plugins. We do not recommend using it. Instead, please consider writing
your JavaScript in a way that makes it compatible with Turbolinks. These
resources can help:

* RSJS - A reasonable structure for JS, a document outlining how to write
  JavaScript as "behaviors" that will be compatible with Turbolinks.

* onmount - 1kb library to run something when a DOM element appears and when it
  exits.

Rationale: making jQuery plugins compatible with Turbolinks requires more than
simply dropping in a library. It should be able to setup and teardown its
changes as needed, which is something you can't automate. jQuery Turbolinks's
approach worked well enough for many libraries back in 2013, but today this is
no longer the case. Given its utility is very limited, we've decided to no
longer maintain this library.

List of rpms provided by this srpm:
gem-jquery-turbolinks (noarch)
gem-jquery-turbolinks-doc (noarch)


List of contributors:
Pavel Skrylev

    1. rpm-build-ruby

Last changed


May 15, 2020 Pavel Skrylev 2.1.0-alt1.1
- ! spec syntax, and tags
- ! replace require dep to gitlab-turbolinks-classic
June 6, 2019 Pavel Skrylev 2.1.0-alt1
- Initial build for Sisyphus, packaged as a gem with usage Ruby Policy 2.0.